# QueryTrait

import slogan, slogan.traits
import string

# For query strings submitted to scripts

class Trait(slogan.traits.Trait):
  identity= 'query'
  extended= 'cs-uri-query'
  priority= 20
  size= [128]
  def __init__(self):
    self.title= slogan.language.query_title
  def read(self, logpart):
    if logpart[:1]=='?':
      return [logpart[1:]]
    else:
      return [logpart]
  def write(self, partlist):
    if len(partlist)==0:
      return slogan.language.query_none
    else:
      return string.join(partlist)
