# StatusTrait

import slogan, slogan.traits

# Status code of server response

class Trait(slogan.traits.Trait):
  identity= 'status'
  extended= 'sc-status'
  priority= 80
  size= [1, 2]
  def __init__(self):
    self.title= slogan.language.status_title

  def read(self, logpart):
    return [logpart[:1], logpart[1:]]

  def write(self, partlist):
    statusCode= '0xx'
    if len(partlist)==1:
      statusCode= partlist[0]+'xx'
    if len(partlist)==2:
      statusCode= partlist[0]+partlist[1]
    if slogan.language.status_names.has_key(statusCode):
      return statusCode+' '+slogan.language.status_names[statusCode]
    else:
      return statusCode+' '+slogan.language.status_names['0xx']
